%define ver_major 2.26

%def_enable python

Name: gedit-plugins
Version: %ver_major.1
Release: alt1

Summary: Plugins for GEdit
License: GPL
Group: Editors
Url: http://gnome.org
Packager: GNOME Maintainers Team <gnome@packages.altlinux.org>

Source: %gnome_ftp/%name/%ver_major/%name-%version.tar.bz2

# From configure.in
%define glib_ver 2.16.0
%define gtk_ver 2.13.0
%define gtksourceview_ver 2.5.1
%define gedit_ver 2.25.4

BuildPreReq: rpm-build-gnome >= 0.6

# From configure.in
BuildPreReq: intltool >= 0.35.0
BuildPreReq: libGConf-devel
BuildPreReq: gnome-doc-utils >= 0.3.2
BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libgtksourceview-devel >= %gtksourceview_ver
BuildPreReq: gedit-devel >= %gedit_ver
# For Charmap plugin
BuildPreReq: libgucharmap-devel >= 2.23.0
# For Terminal plugin
BuildPreReq: %py_dependencies vte

%if_enabled python
BuildPreReq: python-module-pygobject-devel >= 2.11.5
BuildPreReq: python-module-pygtk-devel >= 2.9.7
BuildPreReq: python-module-pygnome-desktop-devel >= 2.15.90
BuildPreReq: python-module-pygtksourceview-devel >= 1.90.4
BuildPreReq: python-module-vte-devel >= 0.19.4
%endif

BuildRequires: libSM-devel

%description
gEdit is a small but powerful text editor designed expressly for GNOME.

It includes such features as split-screen mode, a plugin API, which
allows gEdit to be extended to support many features while remaining
small at its core, multiple document editing through the use of a
'tabbed' notebook and many more functions.

This package contains various plugins for gEdit, including Charmap, Terminal, and others.

%prep
%setup -q
rm -f m4/libtool.m4 m4/lt*.m4

%build
%autoreconf
%configure \
    --disable-static \
    --disable-scrollkeeper \
    --disable-schemas-install \

%make_build

%install
%make_install install DESTDIR=%buildroot

%find_lang --with-gnome --output=files_list %name

# All the dancing below is about potential splitting of plugins into
# subpackages.
%define fill_plugin_fileset() \
for f in %{1}.{gedit-plugin,py,pyc,pyo,glade} lib%{1}.so; do \
    [ -r "%buildroot%gedit_pluginsdir/$f" ] && echo "%gedit_pluginsdir/$f"; \
done >>files_list_%{1}; \
if [ -d "%buildroot%gedit_pluginsdir/%{1}" ]; then \
    echo "%%dir %gedit_pluginsdir/%{1}" \
    for e in py pyc pyo glade; do \
        [ -r "%buildroot%gedit_pluginsdir/%{1}" ] && \
            echo "%gedit_pluginsdir/%{1}/*.$e" \
    done \
fi >>files_list_%{1}

%define plugins bookmarks drawspaces bracketcompletion charmap codecomment colorpicker drawspaces gpdefs joinlines showtabbar smartspaces terminal

for p in %plugins; do
    %fill_plugin_fileset $p
    cat files_list_$p >>files_list
done

%post
%gconf2_install gedit-show-tabbar-plugin

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall gedit-show-tabbar-plugin
fi

%files -f files_list
%gedit_pluginsdir/sessionsaver/
%gedit_pluginsdir/sessionsaver.gedit-plugin
%dir %_datadir/gedit-2/plugins
%_datadir/gedit-2/plugins/*
%gconf_schemasdir/gedit-show-tabbar-plugin.schemas

%exclude %gedit_pluginsdir/*.la

%changelog
* Sun Apr 12 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.1-alt1
- 2.26.1

* Mon Mar 16 2009 Yuri N. Sedunov <aris@altlinux.org> 2.26.0-alt1
- 2.26.0
- updated buildreqs

* Sun Oct 26 2008 Yuri N. Sedunov <aris@altlinux.org> 2.22.5-alt1
- new version

* Fri Oct 17 2008 Yuri N. Sedunov <aris@altlinux.org> 2.22.4-alt1
- new version

* Wed Oct 01 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.3-alt1
- new version (2.22.3)

* Mon Jun 02 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.2-alt1
- new version (2.22.2)

* Sun Mar 23 2008 Alexey Shabalin <shaba@altlinux.ru> 2.22.0-alt1
- new version (2.22.0)

* Fri Feb 08 2008 Grigory Batalov <bga@altlinux.ru> 2.20.0-alt1.1
- Rebuilt with python-2.5.

* Mon Dec 03 2007 Alexey Shabalin <shaba@altlinux.ru> 2.20.0-alt1
- new version (2.20.0)

* Mon Jul 23 2007 Alexey Rusakov <ktirf@altlinux.org> 2.18.0-alt1
- new version (2.18.0)
- use %%gedit_pluginsdir macro from rpm-build-gnome-0.6
- updated dependencies
- mention plugins explicitly in the files list (one step towards plugins split
  out into subpackages).

* Mon Oct 02 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.0-alt1.1
- rebuild

* Sat Sep 30 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.0-alt1
- new version (2.16.0)

* Mon Sep 04 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.5-alt1
- Initial Sisyphus package

